[Date Prev][Date Next]   [Thread Prev][Thread Next]   [Thread Index] [Date Index] [Author Index]

Re: opensync downgrade to 0.22



On Mon, 2009-04-06 at 02:39 +0200, Kevin Kofler wrote:
> Adam Williamson wrote:
> > This gets me:
> > 
> > Error while synchronizing: Can't load plugin implementation module
> > from /usr/lib64/opensync/plugins/kdepim_lib.so:
> > /usr/lib64/opensync/plugins/kdepim_lib.so: undefined symbol:
> > _ZN4KCal13IncidenceBase6setUidERK7QString
> > 
> > I tried rebuilding it on my local system to make sure it wasn't just
> > some kind of mismatch, but same error.
> 
> It turns out this was actually a hickup in kdepimlibs, the scriptlet to move
> the libkcal.so devel symlink to the %{_libdir}/kde4/devel directory was
> incorrect in our recent kdepimlibs builds. (This was not noticed with KDE
> packages because they use CMake exported targets which exports the
> versioned library, so they link the versioned library directly and never
> use the symlink.)
> 
> This should be fixed in kdepimlibs-4.2.2-3.fc11 and
> libopensync-plugin-kdepim-0.22-5.fc11.

Roger, will give it a shot. Sorry I didn't reply earlier - was out for
the weekend already.
-- 
Adam Williamson
Fedora QA Community Monkey
IRC: adamw | Fedora Talk: adamwill AT fedoraproject DOT org
http://www.happyassassin.net


[Date Prev][Date Next]   [Thread Prev][Thread Next]   [Thread Index] [Date Index] [Author Index]